--TEST--
comments #10 - Indented Inline
--DESCRIPTION--
Indented Inline - Inline comments should not strip whitespace
--SKIPIF--
<?php if( !extension_loaded('handlebars') ) die('skip '); ?>
--FILE--
<?php
use Handlebars\Compiler;
use Handlebars\Parser;
use Handlebars\Tokenizer;
use Handlebars\Utils;
use Handlebars\VM;
require __DIR__ . "/../../utils.inc";
use Handlebars\DefaultRegistry;
use Handlebars\SafeString;
$tmpl = '  12 {{! 34 }}
';
$context = array();
$options = array(
        'compat' => true,
    );
$vm = new VM();
echo $vm->render($tmpl, $context, $options);
--EXPECT--
  12 
