--TEST--
interpolation #17 - Dotted Names - Ampersand Interpolation
--DESCRIPTION--
Dotted Names - Ampersand Interpolation - Dotted names should be considered a form of shorthand for sections.
--SKIPIF--
<?php if( !extension_loaded('handlebars') ) die('skip '); ?>
--FILE--
<?php
use Handlebars\Compiler;
use Handlebars\Parser;
use Handlebars\Tokenizer;
use Handlebars\Utils;
use Handlebars\VM;
require __DIR__ . "/../../utils.inc";
use Handlebars\DefaultRegistry;
use Handlebars\SafeString;
$tmpl = '"{{&person.name}}" == "{{#person}}{{&name}}{{/person}}"';
$context = array(
        'person' => array(
            'name' => 'Joe',
        ),
    );
$options = array(
        'compat' => true,
    );
$vm = new VM();
echo $vm->render($tmpl, $context, $options);
--EXPECT--
"Joe" == "Joe"