--TEST--
inverted #12 - Dotted Names - Broken Chains
--DESCRIPTION--
Dotted Names - Broken Chains - Dotted names that cannot be resolved should be considered falsey.
--SKIPIF--
<?php if( !extension_loaded('handlebars') ) die('skip '); ?>
--FILE--
<?php
use Handlebars\Compiler;
use Handlebars\Parser;
use Handlebars\Tokenizer;
use Handlebars\Utils;
use Handlebars\VM;
require __DIR__ . "/../../utils.inc";
use Handlebars\DefaultRegistry;
use Handlebars\SafeString;
$tmpl = '"{{^a.b.c}}Not Here{{/a.b.c}}" == "Not Here"';
$context = array(
        'a' => array(),
    );
$options = array(
        'compat' => true,
    );
$vm = new VM();
echo $vm->render($tmpl, $context, $options);
--EXPECT--
"Not Here" == "Not Here"