--TEST--
helpers #12 - helpers
--DESCRIPTION--
helpers - block helper staying in the same context
--SKIPIF--
<?php if( !extension_loaded('handlebars') ) die('skip '); ?>
--FILE--
<?php
use Handlebars\Compiler;
use Handlebars\Parser;
use Handlebars\Tokenizer;
use Handlebars\Utils;
use Handlebars\VM;
require __DIR__ . "/../../../utils.inc";
use Handlebars\DefaultRegistry;
use Handlebars\SafeString;
$tmpl = '{{#form}}<p>{{name}}</p>{{/form}}';
$context = array(
        'name' => 'Yehuda',
    );
$helpers = new DefaultRegistry(array(
        'form' => function($options) { $out = '<form>'; $out .= $options->fn($options->scope); return $out . '</form>'; }/*function (options) { return '<form>' + options.fn(this) + '</form>'; }*/,
    ));
$options = array();
$vm = new VM();
$vm->setHelpers($helpers);
echo $vm->render($tmpl, $context, $options);
--EXPECT--
<form><p>Yehuda</p></form>