--TEST--
interpolation #3 - HTML Escaping
--DESCRIPTION--
HTML Escaping - Basic interpolation should be HTML escaped.
--SKIPIF--
<?php if( !extension_loaded('handlebars') ) die('skip '); ?>
--FILE--
<?php
use Handlebars\Compiler;
use Handlebars\Parser;
use Handlebars\Tokenizer;
use Handlebars\Utils;
use Handlebars\VM;
require __DIR__ . "/../../utils.inc";
use Handlebars\DefaultRegistry;
use Handlebars\SafeString;
$tmpl = 'These characters should be HTML escaped: {{forbidden}}
';
$context = array(
        'forbidden' => '& " < >',
    );
$options = array(
        'compat' => true,
    );
$vm = new VM();
echo $vm->render($tmpl, $context, $options);
--EXPECT--
These characters should be HTML escaped: &amp; &quot; &lt; &gt;
