--TEST--
partials #8 - Standalone Without Previous Line
--DESCRIPTION--
Standalone Without Previous Line - Standalone tags should not require a newline to precede them.
--SKIPIF--
<?php if( !extension_loaded('handlebars') ) die('skip '); ?>
--FILE--
<?php
use Handlebars\Compiler;
use Handlebars\Parser;
use Handlebars\Tokenizer;
use Handlebars\Utils;
use Handlebars\VM;
require __DIR__ . "/../../utils.inc";
use Handlebars\DefaultRegistry;
use Handlebars\SafeString;
$tmpl = '  {{>partial}}
>';
$context = array();
$partials = new DefaultRegistry(array(
        'partial' => '>' . "\n" . '>',
    ));
$options = array(
        'compat' => true,
    );
$vm = new VM();
$vm->setPartials($partials);
echo $vm->render($tmpl, $context, $options);
--EXPECT--
  >
  >>